Page MenuHomePhabricator

[test] Fix propagating HOME envvar to unittests
ClosedPublic

Authored by mgorny on Dec 30 2018, 12:46 PM.

Details

Summary

Propagate HOME environment variable to unittests. This is necessary
to fix test failures resulting from pw_home pointing to a non-existing
directory while being overriden with HOME. Apparently Gentoo users
hit this sometimes when they override build directory for Portage.

Original bug report: https://bugs.gentoo.org/674088

Diff Detail

Repository
rL LLVM

Event Timeline

mgorny created this revision.Dec 30 2018, 12:46 PM
chandlerc accepted this revision.Dec 31 2018, 2:54 AM

I mean, this is gross, but sure, LGTM.

This revision is now accepted and ready to land.Dec 31 2018, 2:54 AM
This revision was automatically updated to reflect the committed changes.

@vitalybuka, regarding http://lab.llvm.org:8011/builders/sanitizer-x86_64-linux-fast test failures, could you verify whether the buildbot is not passed invalid HOME?

Somehow sanitizers push buildmaster environment to slaves. Fixed with r350268. It requires buildmaster restart, so I am going to add a workaround to make it work before that happen.

mgorny added a comment.Jan 2 2019, 8:56 PM

Thank you for addressing this!